# /u/sy/beebe/mail/afm-split.awk, Tue Dec  4 09:23:58 1990
# Edit by Nelson H.F. Beebe <beebe@sandy.math.utah.edu>
# ========================================================================
# Split an MM mail file containing messages
#	From: Adobe PostScript File Server <ps-file-server@adobe.com>
#	Subject: here is "AFMFiles/AmericanTypewriter-Bold  ..."
#	...
#	StartFontMetrics 2.0
#	...
#	FontName AmericanTypewriter-Bold
#	...
#	EndFontMetrics
# into output files named AmericanTypewriter-Bold.afm et al.
#
# Usage:
#	nawk -f afm-split.awk <mailfile
# [04-Dec-1990]
# ========================================================================
BEGIN {AFM = ""}
/^StartFontMetrics/,/^EndFontMetrics/ {
	AFM = AFM $0 "\n";
	if ($1 == "FontName") AFMfile = $2 ".afm";
	if ($1 == "EndFontMetrics")
	{
	    printf("%s",AFM) > AFMfile;
	    AFM = "";
	}
}

